# eric4.E4Gui.E4LineEdit

Module implementing specialized line edits.

### Global Attributes

None

### Classes

E4LineEdit | Class implementing a line edit widget showing some inactive text.

### Functions

None

## E4LineEdit

Class implementing a line edit widget showing some inactive text.

### Derived from

QLineEdit

### Class Attributes

None

### Class Methods

None

### Methods

E4LineEdit | Constructor
inactiveText | Public method to get the inactive text.
paintEvent | Protected method handling a paint event.
setInactiveText | Public method to set the inactive text.

### Static Methods

None

#### E4LineEdit (Constructor)

E4LineEdit(parent = None, inactiveText = QString())

Constructor

parent
  reference to the parent widget (QWidget)
inactiveText
  text to be shown on inactivity (string or QString)

#### E4LineEdit.inactiveText

inactiveText()

Public method to get the inactive text.

return inactive text (QString)

#### E4LineEdit.paintEvent

paintEvent(evt)

Protected method handling a paint event.

evt
  reference to the paint event (QPaintEvent)

#### E4LineEdit.setInactiveText

setInactiveText(inactiveText)

Public method to set the inactive text.

inactiveText
  text to be shown on inactivity (string or QString)

Up